Subject: deblatna

From: Pierre Abbat <[email-masked]>
Date: Sat, 3 Nov 2001 21:03:09 -0500

I originally typed {debrlatna} by mistake and corrected it. When I went back 
to the taxonomy page to add something else, I found this comment:

won't work: that's the lujvo deb-latna

But I meant the lujvo deb-latna. It is in Fabaceae, as are lo'e dembi, and is 
a Lotus, or at least is called one. Does anyone know more about this plant, 
or how it came to be called Lotus?

phma